library more_widgets;

import 'package:flutter/material.dart';
import 'package:more_widgets/widgets/overlays/animated_icon_overlay.dart';
import 'package:more_widgets/widgets/overlays/animated_validate_overlay.dart';

void showValidateOverlay({
  required BuildContext context,
  double circleSize = 100,
  Color backgroundColor = Colors.orange,
  double iconSize = 80,
  bool dismissOverlayAutomaticallyAfterAnimation = true,
  int animationDurationInSeconds = 2,
}) {
  showDialog(
      context: context,
      builder: (context) {
        return AnimatedValidateOverlay(
          animationDurationInSeconds: animationDurationInSeconds,
          backgroundColor: backgroundColor,
          circleSize: circleSize,
          dismissOverlayAutomaticallyAfterAnimation: dismissOverlayAutomaticallyAfterAnimation,
          iconSize: iconSize,
        );
      }
  );
}

void showIconOverlay({
  required BuildContext context,
  double width = 100,
  double height = 100,
  Color backgroundColor = Colors.orange,
  double iconSize = 80,
  required IconData icon,
  AnimationType animationType = AnimationType.rotate,
  bool dismissOverlayAutomaticallyAfterAnimation = true,
  Duration animationDuration = const Duration(seconds: 2),
}) {
  showDialog(
      context: context,
      builder: (context) {
        return AnimatedIconOverlay(
          icon: icon,
          iconSize: iconSize,
          dismissOverlayAutomaticallyAfterAnimation: dismissOverlayAutomaticallyAfterAnimation,
          backgroundColor: backgroundColor,
          height: height,
          width: width,
          animationDuration: animationDuration,
          animationType: animationType,
        );
      }
  );
}
